<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  CBarComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>projects/projects-app-ang/src/app/components/main/m-header/c-bar/c-bar.component.ts</code>
</p>




    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-c-bar</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./c-bar.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./c-bar.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor()</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="8" class="link-to-prism">projects/projects-app-ang/src/app/components/main/m-header/c-bar/c-bar.component.ts:8</a></div>
                            </td>
                        </tr>

            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="12"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/main/m-header/c-bar/c-bar.component.ts:12</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;

@Component({
  selector: &#x27;app-c-bar&#x27;,
  templateUrl: &#x27;./c-bar.component.html&#x27;,
  styleUrls: [&#x27;./c-bar.component.css&#x27;]
})
export class CBarComponent implements OnInit {

  constructor() { }

  ngOnInit(): void {
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div ngbDropdown class&#x3D;&quot;d-inline-block&quot;&gt;
  &lt;button type&#x3D;&quot;button&quot; class&#x3D;&quot;btn btn-outline-primary&quot; id&#x3D;&quot;dropdownBasic1&quot; ngbDropdownToggle&gt;&lt;img  src&#x3D;&quot;https://cdn-icons-png.flaticon.com/512/876/876207.png?w&#x3D;740&amp;t&#x3D;st&#x3D;1654181019~exp&#x3D;1654181619~hmac&#x3D;6bda5cc7391029192baa487f9e2eb237205627958b92babd23fd61412e1c0197&quot; alt&#x3D;&quot;nfdi4ing&quot; style&#x3D;&quot;width:40px;height:40px;&quot;&gt;&lt;/button&gt;
  &lt;div ngbDropdownMenu aria-labelledby&#x3D;&quot;dropdownBasic1&quot;&gt;
    &lt;button ngbDropdownItem&gt;
      &lt;a routerLink&#x3D;&quot;projects&quot;&gt;projects&lt;/a&gt;
    &lt;/button&gt;
    &lt;button ngbDropdownItem&gt;
      &lt;a routerLink&#x3D;&quot;add&quot;&gt;add&lt;/a&gt;
    &lt;/button&gt;
    &lt;button ngbDropdownItem&gt;
      &lt;a routerLink&#x3D;&quot;my&quot;&gt;my-project&lt;/a&gt;
    &lt;/button&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;!--&lt;nb-form-field&gt;
  &lt;nb-icon nbPrefix icon&#x3D;&quot;alert-circle-outline&quot;&gt;&lt;/nb-icon&gt;
  &lt;nb-select placeholder&#x3D;&quot;&quot;&gt;
    &lt;nb-option&gt;Reset&lt;/nb-option&gt;
    &lt;nb-option value&#x3D;&quot;1&quot;&gt;Option 1&lt;/nb-option&gt;
    &lt;nb-option value&#x3D;&quot;2&quot;&gt;Option 2&lt;/nb-option&gt;
    &lt;nb-option value&#x3D;&quot;3&quot;&gt;Option 3&lt;/nb-option&gt;
  &lt;/nb-select&gt;
&lt;/nb-form-field&gt;--&gt; 

&lt;!--Andere Möglichkeit für Dropdownmenu, jedoch zu lang und deshalb verwoorfen--&gt;</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./c-bar.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">
/*.positionBar {
		position: absolute;
        top: 3px;
		    left: 200px;
}

.dropbtn {
  background-color: transparent;
  color: #00549f;
  padding: 6px;
  font-size: 16px;
  border: none;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #00549f;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover {background-color: #00549f;}

.dropdown:hover .dropdown-content {display: block;}

.dropdown:hover .dropbtn {background-color: #00549f;}*/

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div ngbDropdown class="d-inline-block">  <button type="button" class="btn btn-outline-primary" id="dropdownBasic1" ngbDropdownToggle><img  src="https://cdn-icons-png.flaticon.com/512/876/876207.png?w=740&t=st=1654181019~exp=1654181619~hmac=6bda5cc7391029192baa487f9e2eb237205627958b92babd23fd61412e1c0197" alt="nfdi4ing" style="width:40px;height:40px;"></button>  <div ngbDropdownMenu aria-labelledby="dropdownBasic1">    <button ngbDropdownItem>      <a routerLink="projects">projects</a>    </button>    <button ngbDropdownItem>      <a routerLink="add">add</a>    </button>    <button ngbDropdownItem>      <a routerLink="my">my-project</a>    </button>  </div></div><!--<nb-form-field>  <nb-icon nbPrefix icon="alert-circle-outline"></nb-icon>  <nb-select placeholder="">    <nb-option>Reset</nb-option>    <nb-option value="1">Option 1</nb-option>    <nb-option value="2">Option 2</nb-option>    <nb-option value="3">Option 3</nb-option>  </nb-select></nb-form-field>--> <!--Andere Möglichkeit für Dropdownmenu, jedoch zu lang und deshalb verwoorfen--></div>'
    var COMPONENTS = [{'name': 'AddProjectComponent', 'selector': 'app-add-project'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AuthComponent', 'selector': 'app-auth'},{'name': 'CAbschlussComponent', 'selector': 'app-c-abschluss'},{'name': 'CAccountComponent', 'selector': 'app-c-account'},{'name': 'CAnalyseComponent', 'selector': 'app-c-analyse'},{'name': 'CArchivierungComponent', 'selector': 'app-c-archivierung'},{'name': 'CBarComponent', 'selector': 'app-c-bar'},{'name': 'CDurchfuehrungComponent', 'selector': 'app-c-durchfuehrung'},{'name': 'CErhebungComponent', 'selector': 'app-c-erhebung'},{'name': 'CExitComponent', 'selector': 'app-c-exit'},{'name': 'CHomeComponent', 'selector': 'app-c-home'},{'name': 'CLandingComponent', 'selector': 'app-c-landing'},{'name': 'CLanguageComponent', 'selector': 'app-c-language'},{'name': 'CNachzutzungComponent', 'selector': 'app-c-nachzutzung'},{'name': 'CPlanungComponent', 'selector': 'app-c-planung'},{'name': 'CProjectsTableComponent', 'selector': 'app-c-projects-table'},{'name': 'CVorbereitungComponent', 'selector': 'app-c-vorbereitung'},{'name': 'CZugangComponent', 'selector': 'app-c-zugang'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LogoutComponent', 'selector': 'app-logout'},{'name': 'MainComponent', 'selector': 'app-main'},{'name': 'MessagesComponent', 'selector': 'app-messages'},{'name': 'MHeaderComponent', 'selector': 'app-m-header'},{'name': 'MyProjectComponent', 'selector': 'app-my-project'},{'name': 'NgxLoginComponent', 'selector': 'ngx-login'},{'name': 'ProjectDetailsComponent', 'selector': 'app-project-details'},{'name': 'ProjectsListComponent', 'selector': 'app-projects-list'},{'name': 'ProjectsMaterialTableComponent', 'selector': 'app-projects-material-table'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'RequestPasswordComponent', 'selector': 'app-request-password'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'CBarComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'CBarComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
